[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[autoconf 2.59] Bug with bash on FreeBSD.

From: Loulou Pouchet
Subject: [autoconf 2.59] Bug with bash on FreeBSD.
Date: Wed, 8 Dec 2004 00:35:07 +0100 (CET)
User-agent: SquirrelMail/1.4.3a


I posted a few weeks ago, about a bug in autoconf 2.59b which I badly
isolated. I thought that it was in fact a problem in my configuration, and
it was: I had a problem with bash. But it appears that the fact that bash
is needed by autoconf can be a bug.

My system is:
* FreeBSD 5.3
* automake 1.9.3
* autoconf 2.59
* libtool 1.5.10
* zsh 4.2.1
* sh

zsh$> cat /etc/shells
# $FreeBSD: src/etc/shells,v 1.5 2000/04/27 21:58:46 ache Exp $
# List of acceptable shells for chpass(1).
# Ftpd will not allow users to connect who are not using
# one of these shells.


I got the latest CVS version of autoconf here: and tried to install it.

So I typed:
zsh$> ./configure
func_success failed.
func_success failed.
No shell found that supports shell functions.
Please tell address@hidden about your system,
including any error possibly output before this
checking for a BSD-compatible install... /usr/bin/install -c

zsh$> make
[...all seems fine...]
../config/mdate-sh:shift:90: shift count must be <= $#
../config/mdate-sh:shift:90: shift count must be <= $#
../config/mdate-sh:shift:90: shift count must be <= $#
[... seems to loop on this error...]

zsh$> sudo pkg_add -r bash

zsh$> ./configure
[...All works fine then...]

I ran sh-x ./configure, and put the result in the attachment

And, for your information, the same problem occured on FreeBSD 5.2.1.

Hope this helps.


Loulou Pouchet

Attachment: sh-x_configure.txt
Description: Text document

reply via email to

[Prev in Thread] Current Thread [Next in Thread]